#####################################################################
#
#                             XgPlot.mak
#
#   Copyright (c) 1992, John N. Sanders, Massachussetts Institute of
#       Technology, Lincoln Laboratory; 244 Wood Street, Lexington,
#       MA 02173.
#
######################################################################

#################### Machine Dependencies ######################

# Include the appropriate machine dependent flag on the CFLAGS line as
#  neccesary. IBM, NeXT, and SGI don't need this

HPCFLAGS = -Aa -D_HPUX_SOURCE -D_POSIX_SOURCE\
	-I/usr/include/Motif1.1 -I/usr/include/X11
HPLFLAGS = -L/usr/lib/X11R4 -L/usr/lib/Motif1.1
DECCFLAGS = -D_DEC
# For DEC systems, remove -lPW for LIBS below
SOLARISCFLAGS = -DUSE_DIRENT

################################################################

HOMEDIR = $(HOME)
CFLAGS = -O -I$(HOMEDIR)/XgPlot
LFLAGS = -L$(HOMEDIR)/XgPlot
LIBS = -lXm -lPW -lXt -lX11 -lm
CC = cc
# if you have gcc, use it!

#
# Note: for some systems (e.g. SCO Unix), add -lsocket to LIBS; others don't
#       need -lPW. On Solaris 2.x, replace -lPW with -lgen. Another possibility
#       is to replace -lPW with -lbsd.
#
# Other Hints: some flags which it may be useful to add to CFLAGS are:
#       * -DXg_NO_CTYPE corrects a problem in the ctype.h system header file
#         on some systems.
#       * -DUSE_DIRENT may be required depending on the mix of system V and
#         BSD on your system.
#


#.c.o:
#	$(CC) -c $(CFLAGS) $<

XGOBJECTS= XgInit.o XgHelpErrMisc.o XgLdSvGr.o XgTitles.o XgAxis.o\
	XgData_Add.o XgData_Edit.o XgDrawGraph.o XgSclData.o\
	XgDrawLabels.o XgDrawAxes.o XgDrawDivs.o XgDrawData.o\
	XgDrawLegend.o XgMapCoord.o XgPrint.o XgCursor.o

OBJECTS3D= Xg3dcon.o Xg3dplt.o

###############################################################
all: libXg.a pltxsh xgm xgmf showfile memo plt3d slc3d readkey

tar:
	tar -cf XgPlot-4.4.tar *.c *.h *.mak *.bmp *.XgPlot *.hlp *.dat
	compress XgPlot-4.4.tar

libXg.a: $(XGOBJECTS)
	touch libXg.a
	rm libXg.a
	ar vq libXg.a $(XGOBJECTS)
	ranlib libXg.a

pltxsh: pltxsh.o libXg.a
	$(CC) $(LFLAGS) -o pltxsh pltxsh.o -lXg $(LIBS)

memo: memo.o
	$(CC) $(LFLAGS) -o memo memo.o $(LIBS)

readkey: readkey.o
	$(CC) $(LFLAGS) -o readkey readkey.o $(LIBS)

xgm: xgm.o XgMovie.o libXg.a filefunc.o slbdfunc.o
	$(CC) $(LFLAGS) -o xgm xgm.o XgMovie.o filefunc.o slbdfunc.o\
	-lXg $(LIBS)

xgmf: xgmf.o XgMovieF.o decirant.o libXg.a filefunc.o slbdfunc.o
	$(CC) $(LFLAGS) -o xgmf xgmf.o XgMovieF.o decirant.o filefunc.o\
	slbdfunc.o -lXg $(LIBS)

plt3d: plt3d.o $(OBJECTS3D) filefunc.o
	$(CC) $(LFLAGS) -o plt3d plt3d.o $(OBJECTS3D) filefunc.o $(LIBS)

showfile: showfile.o filefunc.o
	$(CC) -o showfile showfile.o filefunc.o

slc3d: slc3d.o $(OBJECTS3D) filefunc.o
	$(CC) $(LFLAGS) -o slc3d slc3d.o $(OBJECTS3D) filefunc.o $(LIBS)

###############################################################
xgm.o xgmf.o XgMovieF.o filefunc.o showfile.o decirant.o: etsheadr.h

xgm.o XgMovie.o: XgMovie.h

xgmf.o XgMovieF.o: XgMovieF.h

XgMovie.o XgMovieF.o: XgMovie.bmp

pltxsh.o $(XGOBJECTS) XgMovie.o XgMovieF.o: XgPlot.h

$(XGOBJECTS): XgPlot_loc.h

XgInit.o Xg3dcon.o: XgPlot.bmp

$(OBJECTS3D) plt3d.o slc3d.o: Xg3d.h

plt3d.o slc3d.o Xg3dcon.o: etsheadr.h

